[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Capacity

The current capacity of the list.

## Declaration

Source position: classesh.inc line 2119

`public property TInterfaceList.Capacity : Integer read GetCapacity write SetCapacity;`

## Description

Capacity is the number of elements that the list can contain without needing to allocate more memory.

## See also

IInterfaceList.Capacity |  | Capacity of the list
TInterfaceList.Count |  | The current number of elements in the list.
TList.Capacity |  | Current capacity (i.e. number of pointers that can be stored) of the list.
TFPList.Capacity |  | Current capacity (i.e. number of pointers that can be stored) of the list.